? sys/arch/hpc/stand/hpcboot/hpcboot.vcl
? sys/arch/hpc/stand/hpcboot/hpcboot.vcp
Index: sys/arch/hpc/stand/hpcboot/arch.cpp
===================================================================
RCS file: /cvsroot/src/sys/arch/hpc/stand/hpcboot/arch.cpp,v
retrieving revision 1.15
diff -u -r1.15 arch.cpp
--- sys/arch/hpc/stand/hpcboot/arch.cpp	28 Apr 2008 20:23:20 -0000	1.15
+++ sys/arch/hpc/stand/hpcboot/arch.cpp	11 Dec 2011 16:19:14 -0000
@@ -88,11 +88,13 @@
 	_boot_arg->bootinfo = ptokv(p + offsetof(struct BootArgs, bi));
 	_boot_arg->kernel_entry = loader.jumpAddr();
 
+#ifdef DEBUG
 	struct bootinfo &bi = _boot_arg->bi;
 	DPRINTF((TEXT("framebuffer: %dx%d type=%d linebytes=%d addr=0x%08x\n"),
 	    bi.fb_width, bi.fb_height, bi.fb_type, bi.fb_line_bytes,
 	    bi.fb_addr));
 	DPRINTF((TEXT("console = %d\n"), bi.bi_cnuse));
+#endif
 
 	return p;
 }
Index: sys/arch/hpc/stand/hpcboot/arm/arm_sa1100.cpp
===================================================================
RCS file: /cvsroot/src/sys/arch/hpc/stand/hpcboot/arm/arm_sa1100.cpp,v
retrieving revision 1.3
diff -u -r1.3 arm_sa1100.cpp
--- sys/arch/hpc/stand/hpcboot/arm/arm_sa1100.cpp	6 Apr 2010 16:20:28 -0000	1.3
+++ sys/arch/hpc/stand/hpcboot/arm/arm_sa1100.cpp	11 Dec 2011 16:19:14 -0000
@@ -182,8 +182,10 @@
 	// stack for bootloader
 	_mem->getPage(v, p);
 	sp = ptokv(p) + _mem->getPageSize();
+#ifdef DEBUG
 	DPRINTF((TEXT("sp for bootloader = %08x + %08x = %08x\n"),
 	    ptokv(p), _mem->getPageSize(), sp));
+#endif
 
 	// writeback whole D-cache
 	WritebackDCache();
